org.eclipse.emf.cdo.server.db.mapping

## Interface IListMapping4

-     public interface IListMapping4

  Extension interface to `IListMapping3`.
  Since:
    4.7
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `writeValues(IDBStoreAccessor accessor, CDORevision revision, boolean firstRevision, boolean raw)` Write a complete list of values to the database.

- - ### Method Detail

    - #### writeValues

          void writeValues(IDBStoreAccessor accessor,
                           CDORevision revision,
                           boolean firstRevision,
                           boolean raw)

      Write a complete list of values to the database.
      Parameters:
        `accessor` - the accessor to use.
        `revision` - the revision containing the list to be written.
        `firstRevision` - `true` if the type of the object is supposed to be mapped, `false` otherwise.
        `raw` - `true` if this method is called as part of the `raw` storage, `false` otherwise.

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html